Package org.eclipse.emf.cdo.common.util

# Interface CDOVersionProvider

All Known Subinterfaces:
  `CDOBranchVersion`, `CDORevisable`, `CDORevision`, `CDORevisionCache.EvictionEvent`, `CDORevisionDelta`, `CDORevisionKey`, `InternalCDORevision`, `InternalCDORevisionDelta`

All Known Implementing Classes:
  `AbstractCDORevision`, `BaseCDORevision`, `DelegatingCDORevision`, `DetachedCDORevision`, `PointerCDORevision`, `StubCDORevision`, `SyntheticCDORevision`

public interface CDOVersionProvider
Provides the consumer with an int-valued version.

Since:
  4.6
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`int`
`getVersion()`

## Method Details

### getVersion

int getVersion()